#!/bin/bash
image=$1
version=$2
hub_addr=$3

if [ $# -ne 3 ];then
    echo $0 image version hub_addr
    exit
fi

sudo docker build -f dockerfile -t $image:$version ./
sudo docker login hub.xycloud.com
sudo docker tag $image:$version $hub_addr/$image:$version
sudo docker push $hub_addr/$image:$version
